Panduan pembalasan.id
Account Agent Bots

List all AgentBots

GET
/api/v1/accounts/{account_id}/agent_bots

List all agent bots available for the current account

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/accounts/0/agent_bots"
[
  {
    "id": 0,
    "name": "string",
    "description": "string",
    "thumbnail": "string",
    "outgoing_url": "string",
    "bot_type": "string",
    "bot_config": {},
    "account_id": 0,
    "access_token": "string",
    "system_bot": true
  }
]
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}